
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>UIActivityIndictorView的使用 / 憋错料</title>

    <meta name="description" content="UIActivityIndictorView的使用 主要功能: 在应用程序中主要用于提示用户某些动作正在后台执行比如:网络请求,数据库操作等. 常用属性 UIActivityIndicatorViewStyle activityIndicatorViewStyle;//风格设置 1.UIActivityIndicatorViewStyleWhiteLarge 2.UIActivityIndicatorViewStyleWhite 3.UIActivityIndicatorViewStyleWhite BOOL hidesWhenStopped;/">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">UIActivityIndictorView的使用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h4>主要功能：</h4>
<ul>
<li>在应用程序中主要用于提示用户某些动作正在后台执行比如：网络请求，数据库操作等。</li>
</ul>
<h4>常用属性</h4>
<pre><code>
UIActivityIndicatorViewStyle activityIndicatorViewStyle;//风格设置

1.UIActivityIndicatorViewStyleWhiteLarge
2.UIActivityIndicatorViewStyleWhite
3.UIActivityIndicatorViewStyleWhite

BOOL hidesWhenStopped;//停止时隐藏视图，默认是YES

UIColor *color;//修改指示器的颜色，注意版本问题
</code></pre>
<h3>初始化方法</h3>
<h4>- (void)startAnimating;//开始动画</h4>
<h4>- (void)stopAnimating;//停止动画</h4>
<h4>- (void)isAnimating;//判断动画的状态（YES/NO）</h4>
<pre><code>#import "ViewController.h"

@interface ViewController ()

@property(strong,nonatomic)UIActivityIndicatorView *activity;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];

        _activity = [[UIActivityIndicatorView alloc] initWithFrame:
    CGRectMake(0, 0, 40, 40)];//指定进度轮的大小

    _activity.center = CGPointMake(160, 140);//指定进度轮的中心点

    //设置进度轮的显示类型
    [_activity setActivityIndicatorViewStyle:
    UIActivityIndicatorViewStyleGray];

    [self.view addSubview:_activity];
}
- (IBAction)activityButton:(id)sender {
-
    if ([_activity isAnimating]) {
        [_activity stopAnimating];
        NSLog(@"进度结束");
    }else{

        [_activity startAnimating];
        NSLog(@"进度开始");
    }
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end

</code></pre>
<p>版权声明：本文为博主原创文章，未经博主允许不得转载。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 15:09:25 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e7%bd%91%e7%bb%9c/" title="网络">网络</a>, <a href="https://www.biecuoliao.com/tag/%e8%af%b7%e6%b1%82/" title="请求">请求</a>, <a href="https://www.biecuoliao.com/tag/%e9%a3%8e%e7%81%ab%e8%bd%ae/" title="风火轮">风火轮</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>UIActivityIndictorView的使用的相关文章</h3>

					
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/j4No7yM.html" rel="bookmark" class="title">Spring完全基于Java和注解配置</a>
					<div>
						要点: 配置继承WebApplicationInitializer的类作为启动类,相当于配置web.xml文件 使用@Configuration注解一个类,在类中的方式使用@Bean注解,则表名该方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0nymKM.html" rel="bookmark" class="title">Tomcat的manager app管理web项目</a>
					<div>
						1.在浏览器地址栏输入http://localhost:8080/进入,如下图所示: 2.在点击Manager App 前,首次使用则需要对tomcat目录下的conf/tomcat-users.xm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/138P1y3.html" rel="bookmark" class="title">lvs</a>
					<div>
						实验环境: 主机1:172.25.46.1 主机2:172.25.46.2 主机3:172.25.46.3 主机1: # yum install -y ipvsadm # ip addr add 17 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38NdklM.html" rel="bookmark" class="title">鲜肉生产的季节</a>
					<div>
						一到迎新季,看到新生,你就会觉得自己有老了一岁,当初的自己也和他们一样,领着行李,和爸妈一起,来到陌生的城市,对着陌生的学校.陌生的未来同学. 高考完的自己茫茫然的去某品牌服装店做了两个月的兼职,收获 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4APVNv3.html" rel="bookmark" class="title">深入理解Tomcat虚拟目录</a>
					<div>
						我们知道,Web网站中的内容(包括网页,图片,音频文件等)一般都存放在App的目录下.但随着网站内容的不断丰富,用户需要把不同层次的内容组织成网站的子目录.我们通常的做法是在网站主目录下新建子目录,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6NLOGM.html" rel="bookmark" class="title">javascript知识整理之this</a>
					<div>
						js中的this是一个头疼的问题,尤其对于笔者这种初级的菜鸟来讲,下面梳理下this的知识,可以当做是初级进阶也好入门也罢,总归输出的才是自己掌握的: Js中this不是由词法作用域决定的 而是调用时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEkkkx3.html" rel="bookmark" class="title">GitHub基础操作</a>
					<div>
						1.Git简介 Git是目前世界上免费.开源的最先进的分布式版本控制系统.这个软件能记录每次文件的改动.类似下图所示: 2.基本概念解析: 1)  Repository(仓库) 用来存放项目代码,1个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nEdn7M.html" rel="bookmark" class="title">JavaScript事件对象与事件处理程序</a>
					<div>
						在学习之前建议请看一下事件流.事件冒泡.事件捕获 一.事件对象 事件对象:在DOM触发事件时,会产生一个事件对象event,这个事件对象包含着所有与事件相关的信息.既然event是事件对象,那么它必然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8Lrk0.html" rel="bookmark" class="title">编写高质量代码改善C&num;程序的157个建议&mdash;&mdash;建议44：理解委托中的协变</a>
					<div>
						建议44:理解委托中的协变 委托中的泛型变量天然是部分支持协变的.为什么是“部分支持协变”?看下面示例: class Program { public delegate T GetEmployeeHa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lrlGP4.html" rel="bookmark" class="title">Android清单文件详解&lpar;四&rpar; ---- backupAgent的用法</a>
					<div>
						在&lt;application&gt;节点中有一个非常重要的属性,那就是backupAgent.这里我们将它单独列出来,从基本含义,用法及其相关属性等方面来详细介绍一下. 1.backupAgent ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j755g3.html" rel="bookmark" class="title">UESTC&lowbar;酱神赏花 2015 UESTC Training for Dynamic Programming&amp;lt&semi;Problem C&amp;gt&semi;</a>
					<div>
						C - 酱神赏花 Time Limit: 3000/1000MS (Java/Others)     Memory Limit: 262143/262143KB (Java/Others) Submi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J8ydb0.html" rel="bookmark" class="title">我和Java的故事-------第1弹</a>
					<div>
						前言:兴趣是学习任何新知识最好的老师 --------------------------------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vZznj3.html" rel="bookmark" class="title">C语言&mdash;&mdash;预处理</a>
					<div>
						预处理指令简介 1.C语言在对源程序进行编译之前,会先对一些特殊的预处理指令作解释(比如之前使用的#include文件包含指令),产生一个新的源程序(这个过程称为编译预处理),之后再进行通常的编译 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWLRNL0.html" rel="bookmark" class="title">切水果项目总结</a>
					<div>
						2/3D游戏:2D 辅助插件:NGUI 游戏制作难度系数:初级 用到的其他工具:Trail Renderer(拖尾组件) 1.NGUI使背景图片适应任何分辨率 void Start() { UIRoo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrlbL4.html" rel="bookmark" class="title">python 读写文件程序</a>
					<div>
						主要最近学习python,两个练习的小例子,也是看书上写的,非常简单,感觉有点用 **********写文件********** #_*_ coding:UTF-8 _*_ import os ls  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pQNRxM.html" rel="bookmark" class="title">Java生成目录</a>
					<div>
						Java生成目录 1.说明 推断目录是否存在,假设不存在就创建该目录.并打印其路径.假设存在,打印其路径 2.实现源代码 /** * @Title:BuildFolder.java * @Packag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35AJk13.html" rel="bookmark" class="title">mysql 权限控制详解</a>
					<div>
						概述 mysql权限控制在不同的上下文和不同的操作水平上都可以进行控制,他们包括如下几个 ** 管理权限可以允许用户管理mysql server的操作.这些权限控制是全局的,不是针对某个特定的数据库的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLZ9PQ3.html" rel="bookmark" class="title">jsp&lowbar;属性范围&lowbar;application</a>
					<div>
						如果希望设置一个属性,可以让所有用户看得见,则可以将属性范围设置成application,这样属性即可以保存在服务器上. 下面写一个小例子来验证一下: (1)application_demo.jsp  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l7VwXM.html" rel="bookmark" class="title">关于如何给变量函数命名</a>
					<div>
						一位google创作语言的工程师讲的非常好,详见 https://mp.weixin.qq.com/s/xRB5fy4KkZN9ziJUrpG8PQ 我会在下面总结一下 变量函数命名是基本功,不要忽略 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3walRNM.html" rel="bookmark" class="title">python前导课程及基础笔记翻拍。。。</a>
					<div>
						--					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.018 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
